#include "chdecl.h"
void CH_pshell_parseprocnet(current, sched, cop)
#define ARGUMENTS 12
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb5;
    case 4: goto c6;
    case 5: goto c33;
    case 6: goto c99;
    case 7: goto c101;
    case 8: goto c110;
    case 9: goto c111;
    case 10: goto c123;
    case 11: goto c126;
    case 12: goto c139;
    case 13: goto c141;
    case 14: goto cb142;
    case 15: goto c143;
    case 16: goto c146;
    case 17: goto c147;
    case 18: goto c160;
    case 19: goto c162;
    case 20: goto c163;
    case 21: goto c165;
    case 22: goto c191;
    case 23: goto c192;
    case 24: goto c204;
    case 25: goto c206;
    case 26: goto c220;
    case 27: goto c222;
    case 28: goto cb226;
    case 29: goto c227;
    case 30: goto c230;
    case 31: goto c231;
    case 32: goto c253;
    case 33: goto c256;
    case 34: goto c257;
    case 35: goto c259;
    case 36: goto c261;
    case 37: goto c268;
    case 38: goto c278;
    case 39: goto cb282;
    case 40: goto c283;
    case 41: goto c288;
    case 42: goto c294;
    case 43: goto c300;
    case 44: goto c310;
    case 45: goto c312;
    case 46: goto c316;
    case 47: goto c326;
    case 48: goto c328;
    case 49: goto c332;
    case 50: goto c337;
    case 51: goto c349;
    case 52: goto c355;
    case 53: goto c359;
    case 54: goto c360;
    case 55: goto c363;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* chs_lit 4 , "pathLoad" */
  if( !chs_lit(DEF(4),"pathLoad") ) goto ch_depletion;
/* chs_lit 5 , "" */
  if( !chs_lit(DEF(5),"") ) goto ch_depletion;
  current->ip = 3;
cb5:
/* call 3.0.2 4 5 6 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c6:
/* unwrap 7 6 , 3 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* boolean 3.5 , FALSE */
  REF(3)DOT(5).value.boolean = FALSE;
  REF(3)DOT(5).tsdr = & dr_boolean;
/* prog_lit 8 , 4 */
  if ((ch_returncode = che_prog_lit(DEF(8),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 9 8 , 5 */
  if ((ch_returncode = che_procedure(DEF(9),DEF(8),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* move 10 9 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10) = REF(9);
  REF(9).tsdr = & dr_bottom;
/* prog_lit 11 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(11),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 12 11 , 7 */
  if ((ch_returncode = che_procedure(DEF(12),DEF(11),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* move 13 12 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13) = REF(12);
  REF(12).tsdr = & dr_bottom;
/* new_table 14 , 8 */
  if ((ch_returncode = che_new_table(DEF(14),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 15 , 8 */
  if ((ch_returncode = che_new_table(DEF(15),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 16 , 9 */
  if ((ch_returncode = che_new_table(DEF(16),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 17 , 9 */
  if ((ch_returncode = che_new_table(DEF(17),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* unique 18 */
  if ((ch_returncode = che_unique(DEF(18),sched)) != Normal)
     goto ch_raise_exception;
/* copy 19 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_nominal;
/* copy 20 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = & dr_nominal;
/* enum_lit 21 , 0 */
  REF(21).value.enumeration = 0;
  REF(21).tsdr = & dr_enumeration;
/* new_table 22 , 10 */
  if ((ch_returncode = che_new_table(DEF(22),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 23 3.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = & dr_table;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* lookup_at 24 23 =(0) */
  if ( !((ch_t = REF(23).value.table)->size) ) goto ch_notfound;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(24).value,0);
  REF(24).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 25 23 =(0) */
  if ((ch_returncode = remove_at_func(DEF(25),DEF(23),0)) != Normal)
     goto ch_raise_exception;
c33:
/* noop */
  
/* equal . 21 =(2) , 261 */
  if ( REF(21).value.enumeration == 2 ) goto c261;
/* case 26 25 */
  REF(26).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(26).tsdr = & dr_enumeration;
/* notequal . 26 =(1) , 43 */
  if ( REF(26).value.enumeration != 1 ) goto c43;
/* reveal 25 , 1 */
  if (1 != REF(25).value.variant->info.variant_case) goto ch_case_error;
/* copy 27 25.0 */
  REF(27) = REF(25)DOT(0);
/* branch , 46 */
   goto c46;
c43:
/* ordenum_lit 27 , 32 */
  REF(27).value.ord_enum = 32;
  REF(27).tsdr = & dr_ord_enumeration;
c46:
/* noop */
  
/* equal . 21 =(1) , 52 */
  if ( REF(21).value.enumeration == 1 ) goto c52;
/* equal . 21 =(0) , 165 */
  if ( REF(21).value.enumeration == 0 ) goto c165;
/* branch , 259 */
   goto c259;
c52:
/* case 28 25 */
  REF(28).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(28).tsdr = & dr_enumeration;
/* equal 29 28 =(1) */
  REF(29).value.boolean = (REF(28).value.enumeration == 1);
  REF(29).tsdr = & dr_boolean;
/* equal 30 27 =(38) */
  REF(30).value.boolean = (REF(27).value.ord_enum == 38);
  REF(30).tsdr = & dr_boolean;
/* and 31 29 30 */
  REF(31).value.boolean = REF(29).value.boolean&REF(30).value.boolean;
  REF(31).tsdr = & dr_boolean;
/* case 32 25 */
  REF(32).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(32).tsdr = & dr_enumeration;
/* equal 33 32 =(1) */
  REF(33).value.boolean = (REF(32).value.enumeration == 1);
  REF(33).tsdr = & dr_boolean;
/* equal 34 27 =(59) */
  REF(34).value.boolean = (REF(27).value.ord_enum == 59);
  REF(34).tsdr = & dr_boolean;
/* and 35 33 34 */
  REF(35).value.boolean = REF(33).value.boolean&REF(34).value.boolean;
  REF(35).tsdr = & dr_boolean;
/* case 36 25 */
  REF(36).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(36).tsdr = & dr_enumeration;
/* equal 37 36 =(1) */
  REF(37).value.boolean = (REF(36).value.enumeration == 1);
  REF(37).tsdr = & dr_boolean;
/* equal 38 27 =(62) */
  REF(38).value.boolean = (REF(27).value.ord_enum == 62);
  REF(38).tsdr = & dr_boolean;
/* and 39 37 38 */
  REF(39).value.boolean = REF(37).value.boolean&REF(38).value.boolean;
  REF(39).tsdr = & dr_boolean;
/* case 40 25 */
  REF(40).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(40).tsdr = & dr_enumeration;
/* equal 41 40 =(1) */
  REF(41).value.boolean = (REF(40).value.enumeration == 1);
  REF(41).tsdr = & dr_boolean;
/* equal 42 27 =(60) */
  REF(42).value.boolean = (REF(27).value.ord_enum == 60);
  REF(42).tsdr = & dr_boolean;
/* and 43 41 42 */
  REF(43).value.boolean = REF(41).value.boolean&REF(42).value.boolean;
  REF(43).tsdr = & dr_boolean;
/* case 44 25 */
  REF(44).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(44).tsdr = & dr_enumeration;
/* equal 45 44 =(1) */
  REF(45).value.boolean = (REF(44).value.enumeration == 1);
  REF(45).tsdr = & dr_boolean;
/* equal 46 27 =(124) */
  REF(46).value.boolean = (REF(27).value.ord_enum == 124);
  REF(46).tsdr = & dr_boolean;
/* and 47 45 46 */
  REF(47).value.boolean = REF(45).value.boolean&REF(46).value.boolean;
  REF(47).tsdr = & dr_boolean;
/* select * 31 * 35 * 39 * 43 * 47 , {84,89,101,126,141} */
  if ( REF(31).value.boolean ) goto c84;
  if ( REF(35).value.boolean ) goto c89;
  if ( REF(39).value.boolean ) goto c101;
  if ( REF(43).value.boolean ) goto c126;
  if ( REF(47).value.boolean ) goto c141;
/* branch , 162 */
   goto c162;
c84:
/* boolean 3.5 , TRUE */
  REF(3)DOT(5).value.boolean = TRUE;
  REF(3)DOT(5).tsdr = & dr_boolean;
/* enum_lit 21 , 2 */
  REF(21).value.enumeration = 2;
  REF(21).tsdr = & dr_enumeration;
/* branch , 163 */
   goto c163;
c89:
/* copy 19 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_nominal;
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* lookup_at 48 23 =(0) */
  if ( !((ch_t = REF(23).value.table)->size) ) goto ch_notfound;
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(48).value,0);
  REF(48).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 25 23 =(0) */
  if ((ch_returncode = remove_at_func(DEF(25),DEF(23),0)) != Normal)
     goto ch_raise_exception;
/* enum_lit 21 , 0 */
  REF(21).value.enumeration = 0;
  REF(21).tsdr = & dr_enumeration;
/* endblock */
  che_endblock(sched);
/* branch , 163 */
   goto c163;
c99:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c101:
/* block , 13 */
  if((ch_returncode = che_block(QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 22 */
  if (REF(22).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(22))) != Normal)
       goto ch_raise_exception;
/* size 49 22 */
  REF(49).value.integer = REF(22).value.table->size;
  REF(49).tsdr = & dr_integer;
/* isubtract 50 49 =(1) */
  if (!chf_isubtract(DEF(50),REF(49).value.integer,1)) goto ch_depletion;
/* lookup_at 51 22 50 */
  if((ch_i = REF(50).value.integer) < 0 || ch_i >= (ch_t = REF(22).value
    .table)->size) goto ch_notfound;
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(51).value,ch_i);
  REF(51).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 52 22 50 */
  if ((ch_returncode = remove_at_func(DEF(52),DEF(22),REF(50).value.integer
    )) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 111 */
   goto c111;
c110:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c111:
/* noop */
  
/* equal . 52.0 =(1) , 115 */
  if ( REF(52)DOT(0).value.enumeration == 1 ) goto c115;
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c115:
/* copy 19 52.1 */
  if((ch_returncode = cp_nominal(& ch_val, REF(52)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_nominal;
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* lookup_at 53 23 =(0) */
  if ( !((ch_t = REF(23).value.table)->size) ) goto ch_notfound;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(53).value,0);
  REF(53).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 25 23 =(0) */
  if ((ch_returncode = remove_at_func(DEF(25),DEF(23),0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 163 */
   goto c163;
c123:
/* enum_lit 21 , 2 */
  REF(21).value.enumeration = 2;
  REF(21).tsdr = & dr_enumeration;
/* branch , 163 */
   goto c163;
c126:
/* new_record 52 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val; REF(52).tsdr = & dr_record;
/* enum_lit 52.0 , 1 */
  REF(52)DOT(0).value.enumeration = 1;
  REF(52)DOT(0).tsdr = & dr_enumeration;
/* copy 52.1 19 */
  if((ch_returncode = cp_nominal(& ch_val, REF(19).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(52)DOT(1).tsdr)->finalize)(REF(52)DOT(1).value,F_DISCARD,sched);
  REF(52)DOT(1).value = ch_val;
  REF(52)DOT(1).tsdr = & dr_nominal;
/* new_table 52.2 , 9 */
  if ((ch_returncode = che_new_table(DEF(52)DOT(2),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 22 52 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(52),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* block , 15 */
  if((ch_returncode = che_block(QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* lookup_at 54 23 =(0) */
  if ( !((ch_t = REF(23).value.table)->size) ) goto ch_notfound;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(54).value,0);
  REF(54).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 25 23 =(0) */
  if ((ch_returncode = remove_at_func(DEF(25),DEF(23),0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 163 */
   goto c163;
c139:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c141:
/* block , 16 */
  if((ch_returncode = che_block(QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 14;
cb142:
/* call 13 23 55 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(13),
          arguments[1] = DEF(23),
          arguments[2] = DEF(55),
          arguments[2+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c143:
/* move 56 55 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56) = REF(55);
  REF(55).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 147 */
   goto c147;
c146:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c147:
/* move 56.1 19 */
  (*(REF(56)DOT(1).tsdr)->finalize)(REF(56)DOT(1).value,F_DISCARD,sched);
  REF(56)DOT(1) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* copy 19 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_nominal;
/* copy 56.3 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(56)DOT(3).tsdr)->finalize)(REF(56)DOT(3).value,F_DISCARD,sched);
  REF(56)DOT(3).value = ch_val;
  REF(56)DOT(3).tsdr = & dr_nominal;
/* insert 17 56 */
  if ((ch_returncode = insertfunc(DEF(17),DEF(56),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* lookup_at 57 23 =(0) */
  if ( !((ch_t = REF(23).value.table)->size) ) goto ch_notfound;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(57).value,0);
  REF(57).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 25 23 =(0) */
  if ((ch_returncode = remove_at_func(DEF(25),DEF(23),0)) != Normal)
     goto ch_raise_exception;
/* enum_lit 21 , 0 */
  REF(21).value.enumeration = 0;
  REF(21).tsdr = & dr_enumeration;
/* endblock */
  che_endblock(sched);
/* branch , 163 */
   goto c163;
c160:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c162:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c163:
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* branch , 33 */
   goto c33;
c165:
/* case 58 25 */
  REF(58).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(58).tsdr = & dr_enumeration;
/* equal 59 58 =(1) */
  REF(59).value.boolean = (REF(58).value.enumeration == 1);
  REF(59).tsdr = & dr_boolean;
/* equal 60 27 =(62) */
  REF(60).value.boolean = (REF(27).value.ord_enum == 62);
  REF(60).tsdr = & dr_boolean;
/* and 61 59 60 */
  REF(61).value.boolean = REF(59).value.boolean&REF(60).value.boolean;
  REF(61).tsdr = & dr_boolean;
/* case 62 25 */
  REF(62).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(62).tsdr = & dr_enumeration;
/* equal 63 62 =(1) */
  REF(63).value.boolean = (REF(62).value.enumeration == 1);
  REF(63).tsdr = & dr_boolean;
/* equal 64 27 =(60) */
  REF(64).value.boolean = (REF(27).value.ord_enum == 60);
  REF(64).tsdr = & dr_boolean;
/* and 65 63 64 */
  REF(65).value.boolean = REF(63).value.boolean&REF(64).value.boolean;
  REF(65).tsdr = & dr_boolean;
/* case 66 25 */
  REF(66).value.enumeration = REF(25).value.variant->info.variant_case;
  REF(66).tsdr = & dr_enumeration;
/* equal . 66 =(0) , 222 */
  if ( REF(66).value.enumeration == 0 ) goto c222;
/* select * 61 * 65 , {182,206} */
  if ( REF(61).value.boolean ) goto c182;
  if ( REF(65).value.boolean ) goto c206;
/* branch , 256 */
   goto c256;
c182:
/* block , 19 */
  if((ch_returncode = che_block(QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 22 */
  if (REF(22).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(22))) != Normal)
       goto ch_raise_exception;
/* size 67 22 */
  REF(67).value.integer = REF(22).value.table->size;
  REF(67).tsdr = & dr_integer;
/* isubtract 68 67 =(1) */
  if (!chf_isubtract(DEF(68),REF(67).value.integer,1)) goto ch_depletion;
/* lookup_at 69 22 68 */
  if((ch_i = REF(68).value.integer) < 0 || ch_i >= (ch_t = REF(22).value
    .table)->size) goto ch_notfound;
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(69).value,ch_i);
  REF(69).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 52 22 68 */
  if ((ch_returncode = remove_at_func(DEF(52),DEF(22),REF(68).value.integer
    )) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 192 */
   goto c192;
c191:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c192:
/* noop */
  
/* equal . 52.0 =(0) , 196 */
  if ( REF(52)DOT(0).value.enumeration == 0 ) goto c196;
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c196:
/* merge 17 52.2 */
  if ((ch_returncode = mergefunc(DEF(17),DEF(52)DOT(2),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* lookup_at 70 23 =(0) */
  if ( !((ch_t = REF(23).value.table)->size) ) goto ch_notfound;
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(70).value,0);
  REF(70).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 25 23 =(0) */
  if ((ch_returncode = remove_at_func(DEF(25),DEF(23),0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 257 */
   goto c257;
c204:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c206:
/* new_record 52 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val; REF(52).tsdr = & dr_record;
/* enum_lit 52.0 , 0 */
  REF(52)DOT(0).value.enumeration = 0;
  REF(52)DOT(0).tsdr = & dr_enumeration;
/* copy 52.1 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(52)DOT(1).tsdr)->finalize)(REF(52)DOT(1).value,F_DISCARD,sched);
  REF(52)DOT(1).value = ch_val;
  REF(52)DOT(1).tsdr = & dr_nominal;
/* move 52.2 17 */
  (*(REF(52)DOT(2).tsdr)->finalize)(REF(52)DOT(2).value,F_DISCARD,sched);
  REF(52)DOT(2) = REF(17);
  REF(17).tsdr = & dr_bottom;
/* insert 22 52 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(52),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 17 , 9 */
  if ((ch_returncode = che_new_table(DEF(17),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* block , 21 */
  if((ch_returncode = che_block(QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* lookup_at 71 23 =(0) */
  if ( !((ch_t = REF(23).value.table)->size) ) goto ch_notfound;
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(71).value,0);
  REF(71).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 25 23 =(0) */
  if ((ch_returncode = remove_at_func(DEF(25),DEF(23),0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 257 */
   goto c257;
c220:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c222:
/* copy 72 25 */
  if((ch_returncode = cp_variant(& ch_val, REF(25).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = & dr_variant;
/* insert_at 23 72 =(0) */
  if ((ch_returncode = insertfunc(DEF(23),DEF(72),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* block , 22 */
  if((ch_returncode = che_block(QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 28;
cb226:
/* call 10 23 14 15 73 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(10),
          arguments[1] = DEF(23),
          arguments[2] = DEF(14),
          arguments[3] = DEF(15),
          arguments[4] = DEF(73),
          arguments[4+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c227:
/* move 20 73 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20) = REF(73);
  REF(73).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 231 */
   goto c231;
c230:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c231:
/* size 74 17 */
  REF(74).value.integer = REF(17).value.table->size;
  REF(74).tsdr = & dr_integer;
/* equal . 74 =(0) , 243 */
  if ( REF(74).value.integer == 0 ) goto c243;
/* privatize 17 */
  if (REF(17).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(17))) != Normal)
       goto ch_raise_exception;
/* initget 75 17 , 0,0 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(75),DEF(17),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 75 17 */
  if ((ch_returncode = get_selected_object(DEF(75),DEF(17),sched)) != Normal)
     goto ch_raise_exception;
/* remove 56 75 17 */
  if ((ch_returncode = che_remove(DEF(56),DEF(75),DEF(17),sched)) != Normal)
     goto ch_raise_exception;
/* endget 75 17 */
  end_selector(DEF(75),DEF(17),sched,GET);
/* copy 56.3 20 */
  if((ch_returncode = cp_nominal(& ch_val, REF(20).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(56)DOT(3).tsdr)->finalize)(REF(56)DOT(3).value,F_DISCARD,sched);
  REF(56)DOT(3).value = ch_val;
  REF(56)DOT(3).tsdr = & dr_nominal;
/* insert 16 56 */
  if ((ch_returncode = insertfunc(DEF(16),DEF(56),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 231 */
   goto c231;
c243:
/* block , 24 */
  if((ch_returncode = che_block(QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* lookup_at 76 23 =(0) */
  if ( !((ch_t = REF(23).value.table)->size) ) goto ch_notfound;
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(76).value,0);
  REF(76).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 25 23 =(0) */
  if ((ch_returncode = remove_at_func(DEF(25),DEF(23),0)) != Normal)
     goto ch_raise_exception;
/* copy 19 20 */
  if((ch_returncode = cp_nominal(& ch_val, REF(20).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_nominal;
/* enum_lit 21 , 1 */
  REF(21).value.enumeration = 1;
  REF(21).tsdr = & dr_enumeration;
/* endblock */
  che_endblock(sched);
/* branch , 257 */
   goto c257;
c253:
/* enum_lit 21 , 2 */
  REF(21).value.enumeration = 2;
  REF(21).tsdr = & dr_enumeration;
/* branch , 257 */
   goto c257;
c256:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c257:
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* branch , 33 */
   goto c33;
c259:
/* exit , 25 */
  ch_e = handler_type__exit; ch_val = QUAL(25); goto ch_exception;
c261:
/* size 77 23 */
  REF(77).value.integer = REF(23).value.table->size;
  REF(77).tsdr = & dr_integer;
/* equal . 77 =(0) , 266 */
  if ( REF(77).value.integer == 0 ) goto c266;
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c266:
/* boolean 78 , FALSE */
  REF(78).value.boolean = FALSE;
  REF(78).tsdr = & dr_boolean;
/* initget 79 15 , 0,0 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(79),DEF(15),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c268:
/* get_or_goto 79 15 , 272 */
  if ((ch_returncode = get_selected_object(DEF(79),DEF(15),sched)) != Normal)
     goto c272;
/* not 80 79.2 */
  REF(80).value.boolean = !REF(79)DOT(2).value.boolean;
  REF(80).tsdr = & dr_boolean;
/* branch_false 80 , 268 */
  if ( !REF(80).value.boolean ) goto c268;
/* boolean 78 , TRUE */
  REF(78).value.boolean = TRUE;
  REF(78).tsdr = & dr_boolean;
c272:
/* endget 79 15 */
  end_selector(DEF(79),DEF(15),sched,GET);
/* branch_false 78 , 275 */
  if ( !REF(78).value.boolean ) goto c275;
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c275:
/* new_table 3.3 , 8 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(3),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 81 14 */
  if((ch_returncode = cp_table(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).value = ch_val;
  REF(81).tsdr = & dr_table;
/* initget 82 81 , 0,0 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(82),DEF(81),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c278:
/* get_or_goto 82 81 , 332 */
  if ((ch_returncode = get_selected_object(DEF(82),DEF(81),sched)) != Normal)
     goto c332;
/* new_record 83 , 6 */
  if ((ch_val.record = new_record(6)) == nil) goto ch_depletion;
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).value = ch_val; REF(83).tsdr = & dr_record;
/* copy 83.0 82.0 */
  if((ch_returncode = (REF(82)DOT(0).tsdr->copy)(& ch_val, REF(82)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(83)DOT(0).tsdr)->finalize)(REF(83)DOT(0).value,F_DISCARD,sched);
  REF(83)DOT(0).value = ch_val;
  REF(83)DOT(0).tsdr = datarepmap[REF(82)DOT(0).tsdr->number];
/* block , 26 */
  if((ch_returncode = che_block(QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 39;
cb282:
/* call 7 82.1 84 , 27 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(82)DOT(1),
          arguments[2] = DEF(84),
          arguments[2+1] = nil,& arguments[0]),QUAL(27),sched)) != Normal)
     goto ch_raise_exception;
  return;
c283:
/* create 85 84 , 28 */
  if ((ch_returncode = che_create(DEF(85),DEF(84),QUAL(28),sched)) != Normal)
     goto ch_raise_exception;
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
/* move 83.1 85 */
  (*(REF(83)DOT(1).tsdr)->finalize)(REF(83)DOT(1).value,F_DISCARD,sched);
  REF(83)DOT(1) = REF(85);
  REF(85).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 294 */
   goto c294;
c288:
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* copy 3.6 82.1 */
  if((ch_returncode = (REF(82)DOT(1).tsdr->copy)(& ch_val, REF(82)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6).value = ch_val;
  REF(3)DOT(6).tsdr = datarepmap[REF(82)DOT(1).tsdr->number];
/* discard 3.3 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3).tsdr = & dr_bottom;
/* return_exception 3 , 29 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(29),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(29));
  REF(3).tsdr = & dr_bottom;
/* exit , 30 */
  ch_e = handler_type__exit; ch_val = QUAL(30); goto ch_exception;
c294:
/* copy 83.2 82.2 */
  if((ch_returncode = (REF(82)DOT(2).tsdr->copy)(& ch_val, REF(82)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(83)DOT(2).tsdr)->finalize)(REF(83)DOT(2).value,F_DISCARD,sched);
  REF(83)DOT(2).value = ch_val;
  REF(83)DOT(2).tsdr = datarepmap[REF(82)DOT(2).tsdr->number];
/* copy 83.3 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(83)DOT(3).tsdr)->finalize)(REF(83)DOT(3).value,F_DISCARD,sched);
  REF(83)DOT(3).value = ch_val;
  REF(83)DOT(3).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* new_table 83.4 , 31 */
  if ((ch_returncode = che_new_table(DEF(83)DOT(4),QUAL(31)
    ,sched)) != Normal)  goto ch_raise_exception;
/* new_table 83.5 , 31 */
  if ((ch_returncode = che_new_table(DEF(83)DOT(5),QUAL(31)
    ,sched)) != Normal)  goto ch_raise_exception;
/* copy 86 16 */
  if((ch_returncode = cp_table(& ch_val, REF(16).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_table;
/* initget 87 86 , 0,0 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(87),DEF(86),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c300:
/* get_or_goto 87 86 , 312 */
  if ((ch_returncode = get_selected_object(DEF(87),DEF(86),sched)) != Normal)
     goto c312;
/* notequal . 87.1 82.0 , 300 */
  if ( !(REF(87)DOT(1).tsdr->equal)(REF(87)DOT(1).value,REF(82)DOT(0).value) )
     goto c300;
/* new_record 88 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val; REF(88).tsdr = & dr_record;
/* copy 88.0 87.2 */
  if((ch_returncode = (REF(87)DOT(2).tsdr->copy)(& ch_val, REF(87)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(88)DOT(0).tsdr)->finalize)(REF(88)DOT(0).value,F_DISCARD,sched);
  REF(88)DOT(0).value = ch_val;
  REF(88)DOT(0).tsdr = datarepmap[REF(87)DOT(2).tsdr->number];
/* copy 88.1 87.0 */
  if((ch_returncode = (REF(87)DOT(0).tsdr->copy)(& ch_val, REF(87)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(88)DOT(1).tsdr)->finalize)(REF(88)DOT(1).value,F_DISCARD,sched);
  REF(88)DOT(1).value = ch_val;
  REF(88)DOT(1).tsdr = datarepmap[REF(87)DOT(0).tsdr->number];
/* block , 32 */
  if((ch_returncode = che_block(QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
/* insert 83.5 88 */
  if ((ch_returncode = insertfunc(DEF(83)DOT(5),DEF(88),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 300 */
   goto c300;
c310:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c312:
/* endget 87 86 */
  end_selector(DEF(87),DEF(86),sched,GET);
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* copy 89 16 */
  if((ch_returncode = cp_table(& ch_val, REF(16).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).value = ch_val;
  REF(89).tsdr = & dr_table;
/* initget 90 89 , 0,0 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(90),DEF(89),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c316:
/* get_or_goto 90 89 , 328 */
  if ((ch_returncode = get_selected_object(DEF(90),DEF(89),sched)) != Normal)
     goto c328;
/* notequal . 90.3 82.0 , 316 */
  if ( !(REF(90)DOT(3).tsdr->equal)(REF(90)DOT(3).value,REF(82)DOT(0).value) )
     goto c316;
/* new_record 88 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val; REF(88).tsdr = & dr_record;
/* copy 88.0 90.4 */
  if((ch_returncode = (REF(90)DOT(4).tsdr->copy)(& ch_val, REF(90)DOT(4).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(88)DOT(0).tsdr)->finalize)(REF(88)DOT(0).value,F_DISCARD,sched);
  REF(88)DOT(0).value = ch_val;
  REF(88)DOT(0).tsdr = datarepmap[REF(90)DOT(4).tsdr->number];
/* copy 88.1 90.0 */
  if((ch_returncode = (REF(90)DOT(0).tsdr->copy)(& ch_val, REF(90)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(88)DOT(1).tsdr)->finalize)(REF(88)DOT(1).value,F_DISCARD,sched);
  REF(88)DOT(1).value = ch_val;
  REF(88)DOT(1).tsdr = datarepmap[REF(90)DOT(0).tsdr->number];
/* block , 33 */
  if((ch_returncode = che_block(QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
/* insert 83.4 88 */
  if ((ch_returncode = insertfunc(DEF(83)DOT(4),DEF(88),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 316 */
   goto c316;
c326:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c328:
/* endget 90 89 */
  end_selector(DEF(90),DEF(89),sched,GET);
/* discard 89 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).tsdr = & dr_bottom;
/* insert 3.3 83 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(83),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 278 */
   goto c278;
c332:
/* endget 82 81 */
  end_selector(DEF(82),DEF(81),sched,GET);
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* new_table 3.4 , 8 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(4),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 91 16 */
  if((ch_returncode = cp_table(& ch_val, REF(16).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).value = ch_val;
  REF(91).tsdr = & dr_table;
/* initget 92 91 , 0,0 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(92),DEF(91),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c337:
/* get_or_goto 92 91 , 344 */
  if ((ch_returncode = get_selected_object(DEF(92),DEF(91),sched)) != Normal)
     goto c344;
/* new_record 93 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).value = ch_val; REF(93).tsdr = & dr_record;
/* copy 93.0 92.0 */
  if((ch_returncode = (REF(92)DOT(0).tsdr->copy)(& ch_val, REF(92)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(93)DOT(0).tsdr)->finalize)(REF(93)DOT(0).value,F_DISCARD,sched);
  REF(93)DOT(0).value = ch_val;
  REF(93)DOT(0).tsdr = datarepmap[REF(92)DOT(0).tsdr->number];
/* copy 93.1 92.1 */
  if((ch_returncode = (REF(92)DOT(1).tsdr->copy)(& ch_val, REF(92)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(93)DOT(1).tsdr)->finalize)(REF(93)DOT(1).value,F_DISCARD,sched);
  REF(93)DOT(1).value = ch_val;
  REF(93)DOT(1).tsdr = datarepmap[REF(92)DOT(1).tsdr->number];
/* copy 93.2 92.3 */
  if((ch_returncode = (REF(92)DOT(3).tsdr->copy)(& ch_val, REF(92)DOT(3).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(93)DOT(2).tsdr)->finalize)(REF(93)DOT(2).value,F_DISCARD,sched);
  REF(93)DOT(2).value = ch_val;
  REF(93)DOT(2).tsdr = datarepmap[REF(92)DOT(3).tsdr->number];
/* insert 3.4 93 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(4),DEF(93),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 337 */
   goto c337;
c344:
/* endget 92 91 */
  end_selector(DEF(92),DEF(91),sched,GET);
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 360 */
   goto c360;
c349:
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* discard 83 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).tsdr = & dr_bottom;
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* discard 3.3 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3).tsdr = & dr_bottom;
/* return_exception 3 , 34 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(34),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(34));
  REF(3).tsdr = & dr_bottom;
/* branch , 360 */
   goto c360;
c355:
/* chs_lit 94 , "Internal error in parseProcNet" */
  if( !chs_lit(DEF(94),"Internal error in parseProcNet") ) goto ch_depletion;
/* print 94 */
  re_print(stderr, 0, DEF(94)); fflush(stderr);
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* branch , 360 */
   goto c360;
c359:
/* discard 83 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).tsdr = & dr_bottom;
c360:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c363:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
